Skip to main content
GET
https://api.0xarchive.io
/
v1
/
hyperliquid
/
hip4
/
prices
/
{symbol}
Get HIP-4 price history
curl --request GET \
  --url https://api.0xarchive.io/v1/hyperliquid/hip4/prices/{symbol} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.0xarchive.io/v1/hyperliquid/hip4/prices/{symbol}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.0xarchive.io/v1/hyperliquid/hip4/prices/{symbol}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.0xarchive.io/v1/hyperliquid/hip4/prices/{symbol}"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<api-key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
{
  "success": true,
  "data": [
    {
      "timestamp": "2026-02-23T12:00:00.000Z",
      "mark_price": "95000.50",
      "oracle_price": "94998.25",
      "mid_price": "95000.00"
    }
  ],
  "meta": {
    "count": 123,
    "next_cursor": "<string>"
  }
}
{
  "code": 400,
  "error": "Invalid request parameters"
}
{
  "code": 401,
  "error": "Missing or invalid API key. Provide X-API-Key header."
}
{
  "code": 429,
  "error": "Rate limit exceeded"
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Get yours at https://0xarchive.io/dashboard

Path Parameters

symbol
string
required

HIP-4 coin id (e.g., 0 for outcome 0 Yes side, 1 for No side). The #-prefixed form (#0, #1) is also accepted.

Example:

"0"

Query Parameters

start
integer<int64>

Start timestamp in milliseconds

end
integer<int64>

End timestamp in milliseconds

interval
enum<string>

Aggregation interval

Available options:
5m,
15m,
30m,
1h,
4h,
1d
limit
integer
default:100

Maximum number of results (default: 100, max: 1000)

Required range: x <= 1000
cursor
string

Cursor for pagination

Response

Price history data

API response containing an array of price snapshots

success
boolean
Example:

true

data
object[]
meta
object
Last modified on July 7, 2026